<template>
  <div class="modal-mask">
    <div class="modal-body">
      <h1 class="mb-6 text-2xl font-bold">Вход в личный кабинет</h1>

      <label for="login" class="input-label mb-4">Введите номер телефона</label>
      <input
        class="mb-12 p-2 bg-gray-200 rounded"
        v-model="login"
        type="text"
      />

      <input
        type="text"
        class="mb-6 p-2 bg-gray-200 rounded"
        placeholder="Введите код из СМС-сообщения"
      />

      <div class="flex flex-row justify-start">
        <input type="checkbox" />
        <label class="leading-none ml-2"
          >Указывая номер телефона, я принимаю условия
          <span class="text-green-500">пользовательского сообщения</span></label
        >
      </div>

      <button
        class="modal-confirm flex flex-1 justify-center py-4 text-white font-bold mt-4"
        @click="confirm"
      >
        Подтвердить
      </button>

      <a href="" class="first-time font-bold flex justify-center mt-6"
        >В первый раз?<span class="ml-1 text-black">Зарегистрироваться</span></a
      >

      <button @click="$emit('hide')" class="absolute close-modal">
        <img src="/cross.svg" />
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'modal',
  data() {
    return {
      login: '+7(',
    }
  },
  methods: {
    confirm() {
      this.$emit('confirm')
    },
  },
}
</script>

<style>
.modal-mask {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.45);
  z-index: 99999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
}

.modal-body {
  position: relative;
  max-width: 90%;
  display: flex;
  max-height: 70%;
  flex-direction: column;
  top: -20px;
  width: 500px;
  margin: 0 auto;
  border: none;
  border-radius: 10px;
  background-color: #fff;
  outline: none;
  cursor: default;
  overflow: hidden;
  padding: 24px 24px;
}

.modal-header {
  padding: 16px 16px 0;
}

.modal-confirm {
  background-color: #9ccb3b;
  border-radius: 10px;
}

.first-time {
  color: #979797;
}

.close-modal {
  right: 15px;
  top: 15px;
  cursor: pointer;
}

.input-label {
  color: #979797;
}
</style>
